<?php
/**
 * Name: Testimonial
 * Description: Testimonials for AUX
 *
 * Example usage:
 * ```
 * [testimonial name="Name" title="Title" organization="Organization"]
 * This is a testimonial.
 * [/testimonial]
 * ```
 *
 * @var string $content Text content of the testimonial
 * @var array{
 *    name: string|null,
 *    title: string|null,
 *    organization: string|null
 *  } $attributes
 */

declare(strict_types=1);

use WP_AUX\Entities\AuxFramework\Partials\TestimonialEntity;

$testimonial = TestimonialEntity::create($content)
  ->setContact($attributes);

echo $testimonial;
